# 清城区发展和改革局 — gkmlpt CMS 的样板站
#
# 该站走 gkmlpt 适配器（非 yaml_path），下挂多个 dept_path，每个 dept_path
# 走独立的绑定策略：
#   - qycsj  → mapped 到 OA 统计局 (dept_id=301)
#   - xxgk   → city_level 市本级（跨部门公开栏目）
#   - tjgb   → cross_dept 跨部门（统计公报，多局联合）
#
# 真实 local_dept_id 留作示例（301），上线前需要对齐 OA 快照表。

site:
  code: qingcheng_fgw
  name: 清城区发展和改革局
  base_url: http://fgw.qingcheng.gov.cn
  role: qingyuan_local
  cms_adapter: gkmlpt
  adapter_params:
    list_api_path_tpl: "{base_url}/{dept_path}/gkmlpt/api/all/{column_id}"
    sid: "qc_fgw_sid_placeholder"
  default_fetch_strategy: httpx
  respect_robots: true
  enabled: true

depts:
  - dept_path: qycsj
    dept_binding: mapped
    local_dept_id: 301
    dept_display_name: 统计局
    enabled: true
    columns:
      - column_id: "1234"
        name: 财政预决算
        entry_url: http://fgw.qingcheng.gov.cn/qycsj/gkmlpt/index/1234
        content_category: 法规文件
        schedule_cron: "0 2 * * *"
        expected_cadence_days: 30
        enabled: true

  - dept_path: xxgk
    dept_binding: city_level
    dept_display_name: 市本级信息公开
    enabled: true
    columns:
      - column_id: "5678"
        name: 政府工作报告
        entry_url: http://fgw.qingcheng.gov.cn/xxgk/gkmlpt/index/5678
        content_category: 公开报告
        schedule_cron: "0 3 * * 1"
        expected_cadence_days: 90
        enabled: true

  - dept_path: tjgb
    dept_binding: cross_dept
    dept_display_name: 统计公报（多局联合）
    enabled: true
    columns:
      - column_id: "9012"
        name: 年度统计公报
        entry_url: http://fgw.qingcheng.gov.cn/tjgb/gkmlpt/index/9012
        content_category: 统计公报
        expected_cadence_days: 365
        enabled: true
